Package com.google.cloud.spanner.jdbc

# Class ProtoMessageType

java.lang.Object
com.google.cloud.spanner.jdbc.ProtoMessageType

All Implemented Interfaces:
  `SQLType`

public class ProtoMessageType extends Object implements SQLType
Custom SQL type for Spanner PROTO data type. This type (or the vendor type number) must be used when setting a PROTO parameter using `PreparedStatement.setObject(int, Object, SQLType)`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ProtoMessageType`
`INSTANCE`
`static final int`
`VENDOR_TYPE_NUMBER`
Spanner does not have any type numbers, but the code values are unique.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`String`
`getVendor()`
`Integer`
`getVendorTypeNumber()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### INSTANCE

public static final ProtoMessageType INSTANCE

### VENDOR_TYPE_NUMBER

public static final int VENDOR_TYPE_NUMBER
Spanner does not have any type numbers, but the code values are unique. Add 100,000 to avoid conflicts with the type numbers in java.sql.Types.

See Also:
  - Constant Field Values

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `SQLType`

### getVendor

public String getVendor()

Specified by:
  `getVendor` in interface `SQLType`

### getVendorTypeNumber

public Integer getVendorTypeNumber()

Specified by:
  `getVendorTypeNumber` in interface `SQLType`

### toString

public String toString()

Overrides:
  `toString` in class `Object`